#
# Conditional build:
%bcond_with	aalib		# aalib graphics support
%bcond_with	caca		# caca graphics support
%bcond_with	directfb	# DirectFB graphics support
%bcond_with	ggi		# GGI graphics support
%bcond_with	nas		# NAS audio support
%bcond_with	svga		# svgalib graphics support
%bcond_without	alsa		# ALSA audio support
%bcond_with	arts		# aRts audio support
%bcond_with	esd		# EsounD audio support
%bcond_with	new_gamma_ramp  # causes crashes on nvidia drivers
%bcond_without	static_libs	# don't build static libraries
#
# NOTE: the following libraries are dlopened by soname detected at build time:
# libartsc.so.?		[if with arts]
# libasound.so.2	[if with alsa]
# libaudio.so.2		[if with nas]
# libesd.so.0		[if with esd]
# libpulse-simple.so.0
# libX11.so.6
# libXext.so.6
# libXrender.so.1
# libXrandr.so.2
Summary:	SDL (Simple DirectMedia Layer) - Game/Multimedia Library
Summary(pl.UTF-8):	SDL (Simple DirectMedia Layer) - Biblioteka do gier/multimediów
Summary(zh_CN.UTF-8):	SDL (Simple DirectMedia Layer) Generic APIs - 游戏/多媒体库
Name:		SDL
Version:	1.2.15
Release:	5
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.libsdl.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	9d96df8417572a2afb781a7c4c811a85
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-new_gamma_ramp_support.patch
Patch2:		fix-mouse-click.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-const_XData32.patch
URL:		http://www.libsdl.org/
%{?with_directfb:BuildRequires:	DirectFB-devel >= 0.9.15}
BuildRequires:	OpenGL-GLU-devel
%{?with_aalib:BuildRequires:	aalib-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
%{?with_arts:BuildRequires:	artsc-devel >= 1.1}
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.2.8}
BuildRequires:	gcc >= 5:4.0
%{?with_caca:BuildRequires:	libcaca-devel}
%{?with_ggi:BuildRequires:	libggi-devel}
BuildRequires:	libtool >= 2:2.0
%{?with_nas:BuildRequires:	nas-devel}
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	perl-modules
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	pulseaudio-devel >= 0.9
%{?with_svga:BuildRequires:	svgalib-devel >= 1.4.0}
BuildRequires:	tslib-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ppc	-maltivec

%description
SDL (Simple DirectMedia Layer) is a library that allows you portable,
low level access to a video framebuffer, audio output, mouse, and
keyboard. It can support both windowed and DGA modes of XFree86, and
it is designed to be portable - applications linked with SDL can also
be built on Win32 and BeOS.

%description -l pl.UTF-8
SDL (Simple DirectMedia Layer) jest biblioteką udostępniającą
przenośny, niskopoziomowy dostęp do bufora ramki video, wyjścia audio,
myszy oraz klawiatury. Może obsługiwać zarówno okienkowy tryb XFree86
jak i DGA. Konstruując ją miano na uwadze przenośność: aplikacje
konsolidowane z SDL można również budować w systemach Win32 i BeOS.

%description -l pt_BR.UTF-8
Esse é o Simple DirectMedia Layer, uma API genérica que dá acesso de
baixo nível a áudio, teclado, mouse e vídeo em várias plataformas.

Essa biblioteca é usada por alguns jogos.

%description -l ru.UTF-8
SDL (Simple DirectMedia Layer) это набор функций, предоставляющий
низкоуровневый доступ к звуку, клавиатуре, манипулятору мышь и к
буферу экрана на множестве различных платформ.

%package devel
Summary:	SDL - Header files
Summary(pl.UTF-8):	SDL - Pliki nagłówkowe
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de cabeçalho para aplicações SDL
Summary(ru.UTF-8):	Файлы, необходимые для разработки программ, использующих SDL
Summary(uk.UTF-8):	Файли, необхідні для розробки програм, що використовують SDL
Summary(zh_CN.UTF-8):	SDL (Simple DirectMedia Layer) 开发库
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_directfb:Requires:	DirectFB-devel >= 0.9.15}
%{?with_aa:Requires:	aalib-devel}
%{?with_caca:Requires:	libcaca-devel}
%{?with_ggi:Requires:	libggi-devel}
%{?with_svga:Requires:	svgalib-devel >= 1.4.0}
Requires:	tslib-devel
Requires:	xorg-lib-libX11-devel
Suggests:	OpenGL-GLU-devel

%description devel
SDL - Header files.

%description devel -l pl.UTF-8
SDL - Pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Esse pacote contém bibliotecas, arquivos de cabeçalho e outros
recursos para o desenvolvimento de aplicativos com SDL.

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ,
использующих SDL.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм, що
використовують SDL.

%package static
Summary:	SDL - static libraries
Summary(pl.UTF-8):	SDL - biblioteki statyczne
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento de aplicações com a SDL
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием SDL
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням SDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SDL - static libraries.

%description static -l pl.UTF-8
SDL - biblioteki statyczne.

%description static -l pt_BR.UTF-8
Biblioteca estática para desenvolvimento de aplicações com a SDL.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для разработки программ,
использующих SDL.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для розробки програм, що
використовують SDL.

%package examples
Summary:	SDL - example programs
Summary(pl.UTF-8):	SDL - programy przykładowe
License:	Public Domain
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
SDL - example programs.

%description examples -l pl.UTF-8
SDL - przykładowe programy.

%prep
%setup -q
%patch0 -p1
%{?with_new_gamma_ramp:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1

: > acinclude.m4
%{!?with_alsa:echo 'AC_DEFUN([AM_PATH_ALSA],[$3])' >> acinclude.m4}
%{!?with_esd:echo 'AC_DEFUN([AM_PATH_ESD],[$3])' >> acinclude.m4}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
%ifarch %{ix86}
	--enable-nasm \
%else
	--disable-nasm \
%endif
	--disable-rpath \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_arts:--disable-arts} \
	--enable-dga \
	%{!?with_esd:--disable-esd} \
	%{!?with_nas:--disable-nas} \
	--enable-pthreads \
	--enable-pthread-sem \
	%{?with_aalib:--enable-video-aalib} \
	%{?with_caca:--enable-video-caca} \
	%{!?with_directfb:--disable-video-directfb} \
	--enable-video-dga \
	--enable-video-fbcon \
	%{?with_ggi:--enable-video-ggi} \
	--enable-video-opengl \
	%{!?with_svga:--disable-video-svga} \
	--enable-video-x11-dgamouse \
	--enable-video-x11-vm \
	--enable-video-x11-xinerama \
	--enable-video-x11-xme \
	--enable-video-x11-xrandr \
	--enable-video-x11-xv \
	--with-x \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

rm -rf test/autom4te.cache
install test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf docs/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS README README-SDL.txt TODO WhatsNew
%attr(755,root,root) %{_libdir}/libSDL-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL-1.2.so.0

%files devel
%defattr(644,root,root,755)
%doc docs.html docs
%attr(755,root,root) %{_bindir}/sdl-config
%attr(755,root,root) %{_libdir}/libSDL.so
%{_libdir}/libSDL.la
%{_libdir}/libSDLmain.a
%{_includedir}/SDL
%{_aclocaldir}/sdl.m4
%{_pkgconfigdir}/sdl.pc
%{_mandir}/man3/SDL*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL.a
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL.git;a=log;h=master

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> ea1acc4
- fix building with libX11 1.6+
- rel 5

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> 526125d
- Rebuild with libts 1.1
- release 4 (by relup.sh)

* Mon Jun 18 2012 Jan Rękorajski <baggins@pld-linux.org> a492b36
- release 3

* Sat Jun 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e0da91
- added config patch (removes -L/usr/%{_lib} from sdl-config --libs output, which broke
  building of some packages against newly built libraries instead of old system versions)
- release 2

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fd17ab
- up to 1.2.15

* Sun Mar 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c778c7
- rel 5; disable nw gamma (causes crashes and upstream drops gamma)

* Thu Dec 30 2010 w.kier <w.kier@pld-linux.org> 5475e1b
- added bcond for SDL-new_gamma_ramp_support.patch, which causes crashes
   with xorg-driver-video-nvidia

* Wed Nov 24 2010 Zsolt Udvari <uzsolt@pld-linux.org> 5664f73
- fix-mouse-click patch
- rel up

* Wed Nov 24 2010 Zsolt Udvari <uzsolt@pld-linux.org> abbac2b
- initial, taken from Arch Linux
- see bug: https://bugs.archlinux.org/task/16809 (this bug appears in PLD too)

* Sat Oct 23 2010 Jan Rękorajski <baggins@pld-linux.org> 478f7d7
- rel 3
- http://bugzilla.libsdl.org/show_bug.cgi?id=971

* Mon Sep 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 700b913
- dropped caca patch (already upstream)
- no arts/esd support by default

* Sat Feb 06 2010 Jan Rękorajski <baggins@pld-linux.org> 5b67705
- rel 2

* Tue Dec 29 2009 sparky <sparky@pld-linux.org> 7fc318e
- BR: pkgconfig always (required for pulseaudio)

* Tue Dec 29 2009 sparky <sparky@pld-linux.org> a6a6063
- -devel requires xorg-lib-libX11-devel: SDL_syswm.h includes X11/Xlib.h

* Wed Oct 21 2009 lisu <lisu@pld-linux.org> fdee41b
- adapter

* Wed Oct 21 2009 lisu <lisu@pld-linux.org> bbb8433
- obsolete

* Wed Oct 21 2009 lisu <lisu@pld-linux.org> 47caab3
- updated for 1.2.14

* Wed Oct 21 2009 lisu <lisu@pld-linux.org> 1fc2372
- up to 1.2.14
- libdir.patch is obsolete

* Mon Sep 14 2009 tommat <tommat@pld-linux.org> 23ac215
- real fix

* Mon Sep 14 2009 tommat <tommat@pld-linux.org> 064dfc0
- more fixes

